Issue #10380 has been reported by Martin Drst.

----------------------------------------
Bug #10380: Make sure 'update-gems' is called in the make process
https://bugs.ruby-lang.org/issues/10380

* Author: Martin Drst
* Status: Open
* Priority: Normal
* Assignee: Hiroshi SHIBATA
* Category: build
* Target version: current: 2.2.0
* ruby -v: ruby 2.2.0dev (2014-09-27 trunk 47722) [x86_64-cygwin]
* Backport: 2.0.0: UNKNOWN, 2.1: UNKNOWN
----------------------------------------
As described among else in bug #9869, minitest was removed as a default gem.

It can be installed with
> make update-gems

but I had to do that by hand. It should be done automatically (e.g. at least for make test and so on), or there should be a warning when testing without it.

P.S.: I still don't understand why we removed all testing libraries from a default installation; getting something out of the box that is reasonably complete is an important feature of a programming language, and a testing library is a very important part of that.



-- 
https://bugs.ruby-lang.org/